
#libpath "pcre\win32\"
#include once "log.bi"
#include once "connect.bi"

declare sub Demo()

OpenLog("connectdemo.log")
Demo()
CloseLog()

sub Demo()
  dim ans as string
  dim as string vName, vAuthor
  
  if cbool(ChDir("..\engines\rybka\") = 0) and Connect("Rybka v1.0 Beta.w32.exe") and uci.CompileRegExpr() then
    ToLog(Time() & " connection ok")
    SendCommand("uci")
    
    do
      Sleep(5)
      ans = TryGetAnswer()
    loop until InStrRev(ans, "uciok")
    ToLog(Time() & " uci ok")
    
    if uci.ParseUciOk(ans, vName, vAuthor) then
      Print vName
      Print vAuthor
    end if
    
    SendCommand("position fen rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQKBNR w KQkq - 0 1")
    SendCommand("go movetime 500")
    
    do
      Sleep(250)
      ans = TryGetAnswer()
    loop until InStrRev(ans, "bestmove")
    ToLog(Time() & " bestmove ok")
    
    Print """" & ExtractBestMove(ans) & """"
    
    SendCommand("quit")
  end if
end sub
